BSDK.NET - BlomURBEX 3D Data Provider Software Development Kit

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Member Functions
BSDKW::BMesh Class Reference

Abstract class that is capable to receive a building mesh from SDK. More...

List of all members.

## Public Member Functions
abstract void | Initialize (int shapesCount, BTextureLoader textureLoader)
| Start current mesh initialization.
abstract BShape | GetWritableShape ()
| Requests client application the indexth shape to write on it during initialization.
abstract void | ProcessShape ()
| Lets client application process the indexth shape after SDK had writing on it.

## Detailed Description

Abstract class that is capable to receive a building mesh from SDK.

See also:
  BShape, BModel

## Member Function Documentation

abstract BShape BSDKW::BMesh::GetWritableShape | ( |  | ) | `[pure virtual]`

Requests client application the indexth shape to write on it during initialization.

Returned memory should not be overriden or deleted until mesh loading task was finalized.

See also:
  BShape

abstract void BSDKW::BMesh::Initialize | ( | int | shapesCount,
|  | BTextureLoader | textureLoader
| ) |  | `[pure virtual]`

Start current mesh initialization.

After this calling, this object will receive the following calls:

- BMesh::SetTexture, in any of its two variants, only if this image has any related image.
- BMesh::GetWritableShape shapesCount time, it is expected that client application should allocate enough memory for shapesCount during this call. They will be requested to be configured this method per each one.
  Parameters:

    shapesCount | indicates how many shapes does this mesh have
    textureLoader | an object that lets user load the corresponding texture in the future. This object will be destroyed as Initialize() method ends, so client application should create a copy of this object to keep alive a reference to this object. If this object is null, user should consider this mesh not texturized.

  See also:
    LoadLibraryImage

abstract void BSDKW::BMesh::ProcessShape | ( |  | ) | `[pure virtual]`

Lets client application process the indexth shape after SDK had writing on it.

See also:
  BShape

The documentation for this class was generated from the following file:

- BSDK.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events